classification
Title: Fix ResourceWarning in test_subprocess
Type: resource usage Stage: resolved
Components: Tests Versions: Python 3.1, Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rosslagerwall Nosy List: beardedp, nadeem.vawda, python-dev, rosslagerwall
Priority: normal Keywords: patch

Created on 2011-03-24 05:24 by beardedp, last changed 2011-03-26 19:27 by rosslagerwall. This issue is now closed.

Files
File name Uploaded Description Edit
test_subprocess_resource_warning.patch beardedp, 2011-03-24 05:24 Patch to silence resource warning on the test_subprocess test. review
Messages (3)
msg131960 - (view) Author: Ben Hayden (beardedp) * Date: 2011-03-24 05:24
Adding in a cleanup to close Popen stdout in the function test_select_unbuffered in test_subprocess file in Lib/test dir. There are several tickets about different resource warnings mentioning test_subprocess - but I couldn't find any patches that fix this specific issue.
msg132147 - (view) Author: Nadeem Vawda (nadeem.vawda) * (Python committer) Date: 2011-03-25 20:21
Looks good to me.

> [...] but I couldn't find any patches that fix this specific issue.

Well, test_select_unbuffered() was only introduced a few days ago (changeset
cb148da52c47), so I'm not surprised :)
msg132267 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-26 19:26
New changeset bd46aef7cf10 by Ross Lagerwall in branch '3.1':
Issue #11659: Fix ResourceWarning in test_subprocess introduced by #11459.
http://hg.python.org/cpython/rev/bd46aef7cf10
History
Date User Action Args
2011-03-26 19:27:17rosslagerwallsetstatus: open -> closed

nosy: + rosslagerwall
versions: + Python 3.1, Python 3.2
assignee: rosslagerwall
resolution: fixed
stage: resolved
2011-03-26 19:26:07python-devsetnosy: + python-dev
messages: + msg132267
2011-03-25 20:21:04nadeem.vawdasetnosy: + nadeem.vawda
messages: + msg132147
2011-03-24 05:24:24beardedpcreate